Wikipedia.org Portal Dashboard: update pageview counting
Closed, ResolvedPublic1 Story Points

Description

Based on the following comment in T141506, we need to look closer at our Hive query in wikimedia/discovery/golden for counting web requests that are supposed to be wikipedia.org pageviews.

Your query has couple issues : does not filter self-reported bots and it does not filter by http codes. A pageview should always be a 200. Please open another ticket cause your issue seems slightly different.

Indirectly related issue: T143045

debt created this task.Aug 15 2016, 10:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2016, 10:58 PM
debt triaged this task as "Normal" priority.Aug 15 2016, 10:59 PM
mpopov changed the title from "Wikipedia.org Portal Dashboard: update eventlogging" to "Wikipedia.org Portal Dashboard: update pageview counting".Aug 15 2016, 11:20 PM
mpopov edited the task description. (Show Details)
mpopov set the point value for this task to 4.
Tbayer added a subscriber: Tbayer.Aug 18 2016, 8:52 PM

Change 306261 had a related patch set uploaded (by Bearloga):
Update portal PV definition

https://gerrit.wikimedia.org/r/306261

Change 306261 merged by Bearloga:
Update portal PV definition

https://gerrit.wikimedia.org/r/306261

Change 306267 had a related patch set uploaded (by Bearloga):
Document PV events

https://gerrit.wikimedia.org/r/306267

Change 306267 merged by Bearloga:
Document PV events

https://gerrit.wikimedia.org/r/306267

mpopov claimed this task.Aug 23 2016, 7:13 PM
mpopov changed the point value for this task from 4 to 1.
mpopov moved this task from In progress to Done on the Discovery-Analysis (Current work) board.
debt closed this task as "Resolved".Aug 26 2016, 4:18 PM

Yay, thanks for the quick action!